package com.rc.httpcore.bean;

import java.time.LocalDateTime;


/**
 * <p>
 * 化学品管控配置
 * </p>
 *
 * @author hzw
 * @since 2024-01-23
 */
public class HxpControlConfig {

    private long id;

    // ("是否管控 ，0否1是")
    private boolean controlType;

    // ("是否开启双人认证，0否1是")
    private boolean verify;

    // ("是否开启二维码打印，0否1是")
    private boolean qrCodePrint;

    // ("是否开启领用称重，0否1是")
    private boolean metage;

    // ("是否开启手动录入重量，0否1是")
    private boolean inputWeight;

    // ("是否启用量程外 ，0否1是")
    private boolean outRange;

    // ("最大液体存储量(L)")
    private int fluidMax;

    // ("最大固体存储量(KG)")
    private int solidMax;

    // ("创建时间")
    private String createTime;

    // ("创建人id")
    private long createBy;

    // ("修改人姓名")
    private long updateBy;

    // ("修改时间")
    private String updateTime;

    private String remark;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public boolean isControlType() {
        return controlType;
    }

    public void setControlType(boolean controlType) {
        this.controlType = controlType;
    }

    public boolean isVerify() {
        return verify;
    }

    public void setVerify(boolean verify) {
        this.verify = verify;
    }

    public boolean isQrCodePrint() {
        return qrCodePrint;
    }

    public void setQrCodePrint(boolean qrCodePrint) {
        this.qrCodePrint = qrCodePrint;
    }

    public boolean isMetage() {
        return metage;
    }

    public void setMetage(boolean metage) {
        this.metage = metage;
    }

    public boolean isInputWeight() {
        return inputWeight;
    }

    public void setInputWeight(boolean inputWeight) {
        this.inputWeight = inputWeight;
    }

    public boolean isOutRange() {
        return outRange;
    }

    public void setOutRange(boolean outRange) {
        this.outRange = outRange;
    }

    public int getFluidMax() {
        return fluidMax;
    }

    public void setFluidMax(int fluidMax) {
        this.fluidMax = fluidMax;
    }

    public int getSolidMax() {
        return solidMax;
    }

    public void setSolidMax(int solidMax) {
        this.solidMax = solidMax;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(long createBy) {
        this.createBy = createBy;
    }

    public long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(long updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
